/**
 * @file
 * VuoPoint3d C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOPOINT3D_H
#define VUOPOINT3D_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoPoint3d VuoPoint3d
 * A floating-point 3-dimensional Cartesian spatial location.
 *
 * @{
 */

/**
 * A floating-point 3-dimensional Cartesian spatial location.
 */
typedef struct
{
	float x,y,z;
} VuoPoint3d;

VuoPoint3d VuoPoint3d_valueFromString(const char * initializer);
char * VuoPoint3d_stringFromValue(const VuoPoint3d value);
char * VuoPoint3d_summaryFromValue(const VuoPoint3d value);

/**
 * @}
 */

#endif
