/**
 * @file
 * VuoPoint4d C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOPOINT4D_H
#define VUOPOINT4D_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoPoint4d VuoPoint4d
 * A floating-point 4-dimensional point.
 *
 * @{
 */

/**
 * A floating-point 4-dimensional point.
 */
typedef struct
{
	float x,y,z,w;
} VuoPoint4d;

VuoPoint4d VuoPoint4d_valueFromString(const char * initializer);
char * VuoPoint4d_stringFromValue(const VuoPoint4d value);
char * VuoPoint4d_summaryFromValue(const VuoPoint4d value);

/**
 * Returns a @c VuoPoint4d with the specified coordinates.
 */
static inline VuoPoint4d VuoPoint4d_make(float x, float y, float z, float w)
{
	VuoPoint4d p = {x,y,z,w};
	return p;
}

/**
 * @}
 */

#endif
